Passa al contenuto principale

Instructor-availability API

Auto-generated from the OpenAPI spec. Run node docs-site/scripts/fetch-openapi.js to regenerate.

GET /api/v1/instructor-availability

List Instructor Availability

Parameters

NameInRequiredTypeDescription
instructor_idqueryNo

Responses

  • 200 — Successful Response
  • 422 — Validation Error

POST /api/v1/instructor-availability

Create Instructor Availability

Request body

FieldRequiredTypeDescription
instructor_idYesinteger
day_of_weekYesinteger
start_timeYesstring
end_timeYesstring
service_idNointeger

Responses

  • 201 — Successful Response
  • 422 — Validation Error

DELETE /api/v1/instructor-availability/{availability_id}

Delete Instructor Availability

Parameters

NameInRequiredTypeDescription
availability_idpathYesinteger

Responses

  • 204 — Successful Response
  • 422 — Validation Error